{{set . "title" "Attribute"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>Edit Attr</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
        {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <form method="POST"
                  action='{{if .attribute.ID}}{{url "Attribute.Update"}}{{else}}{{url "Attribute.Create"}}{{end}}'>
            {{$attrID := .attribute.ID}}
            {{with $field := field "attribute.ID" .}}
                <input type="hidden" id="{{$field.ID}}" name="id" value="{{$field.Value}}">
            {{end}}
            {{$system := .attribute.IsSystem}}
                <div class="form-group">
                {{with $field := field "attribute.Name" .}}
                    <label for="{{$field.ID}}">Name * </label>
                    <input type="text" id="{{$field.ID}}" name="name" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}} form-control" {{if eq $system 1}} readonly{{end}}>
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <div class="form-group">
                {{with $field := field "attribute.Code" .}}
                    <label for="{{$field.ID}}">Code * </label>
                    <input type="text" id="{{$field.ID}}" name="Code" value="{{$field.Value}}"
                           class="{{$field.ErrorClass}} form-control" {{if or (eq $system 1) (ne $attrID 0)}} readonly{{end}}>
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <div class="form-group">
                {{with $field := field "attribute.AttributeTypeID" .}}
                    <label for="{{$field.ID}}">Type * </label>
                    <select name="attributeTypeID" class="form-control" {{if eq $system 1}} readonly{{end}}>
                    {{range $.types}}
                        <option value="{{.ID}}" id="{{.Name}}" {{if eq $field.Value .ID}}selected="selected" {{end}}>
                        {{.Name}}
                        </option>
                    {{end}}
                    </select>
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <div class="form-group">
                {{with $field := field "attribute.Status" .}}
                    <label for="{{$field.ID}}">Status * </label>
                    <input type="checkbox" name="status" {{if eq $field.Value 1}}checked="checked" {{end}} value="1"
                    {{if eq $system 1}} readonly{{end}}>
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <div class="form-group">
                {{with $field := field "attribute.IsColumn" .}}
                    <label for="{{$field.ID}}">IsColumn * </label>
                    <input type="checkbox" name="isColumn" {{if eq $field.Value 1}}checked="checked" {{end}} value="1">
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <div class="form-group">
                {{with $field := field "attribute.IsRequired" .}}
                    <label for="{{$field.ID}}">IsRequired * </label>
                    <input type="checkbox" name="isRequired" {{if eq $field.Value 1}}checked="checked" {{end}}
                           value="1" {{if eq $system 1}}readonly="readonly" {{end}}>
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <div class="form-group">
                {{with $field := field "attribute.AttributeSetID" .}}
                    <label for="{{$field.ID}}">AttrSet * </label>
                    <select name="attributeSetID" class="form-control">
                    {{range $.attributeSets}}
                        <option value="{{.ID}}" id="{{.Name}}" {{if eq $field.Value .ID}}selected="selected" {{end}}>
                        {{.Name}}
                        </option>
                    {{end}}
                    </select>
                    <span class="error">{{$field.Error}}</span>
                {{end}}
                </div>

                <input type="submit" class="btn btn-success" value="Save attribute"/>
            </form>
        {{if or (eq .attribute.AttributeTypeID 3) (eq .attribute.AttributeTypeID 9)}}
            <form method="POST"
                  action='{{if .attribute.Values}}{{url "AttributeValues.Update"}}{{else}}{{url "AttributeValues.Create"}}{{end}}'>
            {{with $field := field "attribute.ID" .}}
                <input type="hidden" id="{{$field.ID}}" name="AttributesID" value="{{$field.Value}}">
            {{end}}

            {{with $field := field "attribute.Values" .}}
            <div class="values">
                <label class="col-md-12">Values * </label>
                <div class="form-row row">
                    <div class="col-md-10">
                        <input type="hidden" id="{{$field.ID}}" name="Value[][ID]"
                               value="{{if $field.Value}}{{(index $field.Value 0).ID}}{{end}}">
                        <input type="text" id="{{$field.ID}}" name="Value[][Value]"
                               value="{{if $field.Value}}{{(index $field.Value 0).Value}}{{end}}"
                               class="{{$field.ErrorClass}} form-control">
                        <span class="error">{{$field.Error}}</span>
                    </div>
                    <div class="col-md-2">
                        <span class="btn btn-danger delete-attribute">Delete</span>
                        <span class="btn btn-primary add-attribute">Add</span>
                    </div>
                </div>
            {{range $i, $v := $field.Value}}
            {{if ne $i 0}}
                <div class="form-row row">
                    <div class="col-md-10">
                    {{if $field.Value}}
                        <input type="hidden" id="{{$field.ID}}" name="Value[][ID]"
                               value="{{if $v.Value}}{{$v.ID}}{{end}}">
                    {{end}}
                        <input type="text" id="{{$field.ID}}" name="Value[][Value]"
                               value="{{if $field.Value}}{{$v.Value}}{{end}}"
                               class="{{$field.ErrorClass}} form-control">
                        <span class="error">{{$field.Error}}</span>
                    </div>
                    <div class="col-md-2">
                        <span class="btn btn-danger delete-attribute">Delete</span>
                        <span class="btn btn-primary add-attribute">Add</span>
                    </div>
                </div>
            {{end}}
            {{end}}
            {{end}}
            </div>
                <input type="submit" class="btn btn-success" value="Save value"/>
            </form>
        {{end}}
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        $('.values').on('click', '.delete-attribute', function (e) {
            $parent = $(e.target).closest('.form-row');
            $parent.remove();
        });

        $('.values').on('click', '.add-attribute', function (e) {
            $parent = $(e.target).closest('.form-row');
            $clone = $parent.clone();
            inputs = $clone.find("input");

            $.each(inputs, function (i, v) {
                $(v).attr("value", "");
            });

            $clone.appendTo('.values');
        });
    });
</script>

{{template "footer.html" .}}